#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 dhall
version:              1.42.1
visibility:           public
id:                   dhall-1.42.1-6TkWti0IeHm6fOWIp6ihLM
key:                  dhall-1.42.1-6TkWti0IeHm6fOWIp6ihLM
license:              BSD-3-Clause
copyright:            2017 Gabriella Gonzalez
maintainer:           GenuineGabriella@gmail.com
author:               Gabriella Gonzalez
synopsis:             A configuration language guaranteed to terminate
description:
    Dhall is an explicitly typed configuration language that is not Turing
    complete.  Despite being Turing incomplete, Dhall is a real programming
    language with a type-checker and evaluator.

    Use this library to parse, type-check, evaluate, and pretty-print the Dhall
    configuration language.  This package also includes an executable which
    type-checks a Dhall file and reduces the file to a fully evaluated normal
    form.

    Read "Dhall.Tutorial" to learn how to use this library

category:             Compiler
abi:                  e048d7ae26b199036043ce27f647da61
exposed:              True
exposed-modules:
    Dhall Dhall.Binary Dhall.Context Dhall.Core Dhall.Crypto
    Dhall.Deriving Dhall.Diff Dhall.DirectoryTree Dhall.Format
    Dhall.Freeze Dhall.Import Dhall.Lint Dhall.Main Dhall.Map
    Dhall.Marshal.Decode Dhall.Marshal.Encode Dhall.Optics
    Dhall.Package Dhall.Parser Dhall.Parser.Expression
    Dhall.Parser.Token Dhall.Pretty Dhall.Repl Dhall.Schemas Dhall.Set
    Dhall.Src Dhall.Substitution Dhall.TH Dhall.Tags Dhall.Tutorial
    Dhall.TypeCheck Dhall.Util Dhall.Version

hidden-modules:
    Dhall.DirectoryTree.Types Dhall.Eval Dhall.Import.Types
    Dhall.Import.Headers Dhall.Marshal.Internal Dhall.Normalize
    Dhall.Parser.Combinators Dhall.Pretty.Internal Dhall.Syntax
    Dhall.Syntax.Binding Dhall.Syntax.Chunks Dhall.Syntax.Const
    Dhall.Syntax.Expr Dhall.Syntax.FunctionBinding Dhall.Syntax.Import
    Dhall.Syntax.Instances.Applicative Dhall.Syntax.Instances.Bifunctor
    Dhall.Syntax.Instances.Data Dhall.Syntax.Instances.Eq
    Dhall.Syntax.Instances.Foldable Dhall.Syntax.Instances.Functor
    Dhall.Syntax.Instances.Lift Dhall.Syntax.Instances.Monad
    Dhall.Syntax.Instances.NFData Dhall.Syntax.Instances.Ord
    Dhall.Syntax.Instances.Pretty Dhall.Syntax.Instances.Show
    Dhall.Syntax.Instances.Traversable Dhall.Syntax.MultiLet
    Dhall.Syntax.Operations Dhall.Syntax.RecordField Dhall.Syntax.Types
    Dhall.Syntax.Var Dhall.URL Paths_dhall Dhall.Import.HTTP
    Dhall.Import.Manager

import-dirs:          /usr/lib/ghc-9.4.8/site-local/dhall-1.42.1
library-dirs:         /usr/lib/ghc-9.4.8/site-local/dhall-1.42.1
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/dhall-1.42.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/dhall
hs-libraries:         HSdhall-1.42.1-6TkWti0IeHm6fOWIp6ihLM
depends:
    Diff-0.4.1-3QWVUlKUXtOBGYhRGcCEWb
    aeson-2.1.2.1-JUxXPniSz0YG5YB65a9rRK
    aeson-pretty-0.8.10-16lJurEf1YvFr0OK8k3g2S
    ansi-terminal-1.0.2-D5pa6u3ibixApJ1Glf95Ho
    atomic-write-0.2.1.1-FtYiaBypKnK53fEfACeZTN base-4.17.2.1
    base16-bytestring-1.0.2.0-64SRXBIAb7g8ZDjXiMNOEh
    bytestring-0.11.5.3 case-insensitive-1.2.1.0-FN4Uh6xsWL1FUfOK6EPYiu
    cborg-0.2.9.0-H0gcaW3knAu5UbrpHThr1J
    cborg-json-0.2.5.0-E9Nggfd66LNGpgt2CKYQyz containers-0.6.7
    contravariant-1.5.5-p3peIMeiUA4Z37z2EtgYi
    cryptohash-sha256-0.11.102.1-H9UC8inLosXG1GaSVizbKQ
    data-fix-0.3.3-JlTLfzv47BTGfg0SRTE8dk deepseq-1.4.8.0
    directory-1.3.7.1 dotgen-0.4.3-DCEwHcGESGV7f7E3GHH98g
    either-5.0.2-KnZqViJMJ47GM59gFp1mYh exceptions-0.10.5
    filepath-1.4.2.2 half-0.3.2-HPwmTHWT8HeImePgV965CW
    hashable-1.4.4.0-KhxIO0xb5fm20tEUmKRa81 haskeline-0.8.2
    http-client-0.7.17-6Vpdbpk3Ln7BXqc0zQ7YEB
    http-client-tls-0.3.6.4-7tZUghBa9qt8CEVGZ3Qxvr
    http-types-0.12.4-3U9Wv2ie0NhIMa2ncoKEKC
    indexed-traversable-0.1.4-6AizQqDyKRYD0kaKbWdov7
    lens-family-core-2.1.3-Ij4qXDXH4U49wX5TL83dlV
    megaparsec-9.6.1-FoCN321a8jHxgdI7BJvva
    mmorph-1.2.0-3nIz0RIlBAUER45blfkK28 mtl-2.2.2
    network-uri-2.6.4.2-7DNDQQRpBGt6p9B807KVRo
    optparse-applicative-0.17.1.0-2Uxzw63jP0W13nA1A9AHJz
    parser-combinators-1.3.0-11YwG5dPNej79xqbn9HKav
    parsers-0.12.12-DQNw3sWPC2LLxmCjtgzai4
    pretty-simple-4.1.3.0-JoMiYFTmM8BHa0Gw9Ra5tw
    prettyprinter-1.7.1-LdQmVYEBYzYFJ2wm6UeRYc
    prettyprinter-ansi-terminal-1.1.3-D0tuRP5FK6S7EtmtYt5xp5
    profunctors-5.6.2-3t5vu9jgXwLFYMLBE35bzQ
    repline-0.4.2.0-KVntTSpWnVfIRYxV1mly8a
    scientific-0.3.7.0-IsfwCFhwen9DG7Ev9wrVyZ
    serialise-0.2.6.1-1cPoy82VHjWBjoDE0a3Au1 template-haskell-2.19.0.0
    text-2.0.2 text-manipulate-0.3.1.0-8j4Ipn5LRGkAUrNoOou83D
    text-short-0.1.6-6kwsV26fsrLHCZR7NSTY53
    th-lift-instances-0.1.20-HOWvrknnMJsAPSsLz59Y66 time-1.12.2
    transformers-0.5.6.2 unix-2.7.3
    unix-compat-0.7.3-8pl7iDZss0Y5M4eIKJIkHm
    unordered-containers-0.2.20-1FuCl8JL5xL639QhRwjqcc
    vector-0.13.1.0-IpYwnKXpLxR5PfWJ8aKdft

haddock-interfaces:   /usr/share/doc/dhall/html/dhall.haddock
haddock-html:         /usr/share/doc/dhall/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

